#!/usr/bin/perl -w

#use strict;
use warnings;
use HTTP::Status;
use WWW::Mechanize;
use HTML::TreeBuilder 3.0; 
use HTTP::Request::Form;
use Getopt::Std;
use Getopt::Long;

my $url;
my $help;
my $dic;

GetOptions('url=s' => \$url, 'dic=s' => \$dic, 'help' => \$help);

if(!$url and !$help)

{

print "\nNo url entered. -url is a required field -help for Usage Syntax\n\n";

exit 0

}

if($help)

{

print "\nSyntax: specialK -url URL -dic dictionary_file\n\n";

exit 0

}

print "\nURL submitted: $url \n";

open STUFF, $dic;
while (<STUFF>) {

#@aaa = ("admin", "adm", "acceso");

#foreach (@aaa) 

#{
print "\n\nTrying: $url/$_\n\n";

my $mech = WWW::Mechanize->new();

my $http_response = $mech->get($url."/".$_);

my $code = $http_response->code();

my $ct = $mech->ct($http_response);

my $title = $mech->title($http_response);

my $base = $mech->base($http_response);

my $message = status_message($code);

print "Title: $title\nBase: $base\nCT: $ct\nCode Status: $code\nMessage: $message\n\n==========\n";

}
